//
//  ViewController.swift
//  SimpleTVOSSample
//
//  Created by David Cortes on 3/14/19.
//  Copyright © 2023 Akamai. All rights reserved.
//

import UIKit
import AVKit
import AmpCore
import AmpFreewheel

class ViewController: UIViewController {
    
    var ampPlayer: AmpPlayer!
    var playerController: AVPlayerViewController = AVPlayerViewController()
    var ampFreewheel: AmpFreewheelManager!
    
    let liveURL = "http://playertest.longtailvideo.com/adaptive/wowzaid3/playlist.m3u8"
    let vodURL = "http://multiplatform-f.akamaihd.net/i/multi/will/bunny/big_buck_bunny_,640x360_400,640x360_700,640x360_1000,950x540_1500,.f4v.csmil/master.m3u8"
    let shortURL = "http://cdnbakmi.kaltura.com/p/243342/sp/24334200/playManifest/entryId/0_uka1msg4/flavorIds/1_vqhfu6uy,1_80sohj7p/format/applehttp/protocol/http/a.m3u8"
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        self.ampPlayer = AmpPlayer(parentViewController: self, playerController: playerController)
        self.ampFreewheel = AmpFreewheelManager(ampPlayer: ampPlayer!, adView: self.view, networkId: 42015, playerViewController: playerController)
        ampFreewheel.requestAds(serverUrl: "http://demo.v.fwmrm.net", profile: "42015:ios_allinone_profile", siteSectionId: "ios_allinone_demo_site_section", videoAssetId: VideoAssetId(id: "ios_allinone_demo_video", duration: 500)){adController in
            adController.addPrerollSlot("pre1")
            adController.addMidrollSlot("mid1", timePosition: 15)
            adController.addMidrollSlot("mid2", timePosition: 30)
            adController.addPostrollSlot("post1")}
        print("AKAMAI PLAYER VERSION: \(self.ampPlayer!.version)")
        self.ampPlayer.registerObserver(self)
        self.ampPlayer.autoplay = true
        self.ampPlayer.play(url: shortURL)
        self.ampPlayer.setLicense("AwGJ1TRQcqepLcUj/qN7TbMmYMZn8f9eC4cy9EOGqc7TirFQaMKYroF40qGQpuyKjG5aadenKMx1dFUTdhttPys3lZe6igTmQBOZLUG1R2BaPKfNjb4zdK2VfTVcemDYiaddKhLErrCFtEThiRh69yYnnZ5YvZi+s88/GZOcUy6uc29chd9UA29D7HG2vdtr8AiYvDkFKVzBWjHi9AH9CpthSdXrUoXu6SVuH+ooZRXxEA==")
    }
}

extension ViewController:PlayerEventObserver {
    func onAmpError(_ ampPlayer: AmpPlayer, error: PlayerError, code: Int, message: String) {
        print("An error has occurred \(error) \(code) \(message)")
    }
}

